RNAPALN(1)

NAME
RNApaln - manual page for RNApaln 2.4.17

SYNOPSIS
RNApaln [OPTION]...

DESCRIPTION
RNApaln 2.4.17

RNA alignment based on sequence base pairing propensities

Uses string-alignment techniques to perform fast pairwise structural alignments of RNAs. Similar to RNApdist secondary structure is incorporated in an approximate manner by computing base pair probabilities, which are then reduced to a vector holding the probability that a base is paired upstream, downstream, or remains unpaired. Such pair propsensity vectors can then be compared using standard alignment algorithms. In contrast to RNApdist, RNApaln performs similarity (instead of distance) alignments, considers both sequence and structure information, and uses affine (rather than linear) gap costs. RNApaln can perform semi-local alignments by using free end gaps, a true local alignment mode is planned.

The same approach has since been used in the StraL program from Gerhard Steeger's group. Since StraL has optimized parameters and a multiple alignment mode, it be be currently the better option.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

-B, --printAlignment[=filename]
    Print an "alignment" with gaps of the

profiles
    The aligned structures are written to filename, if specified Otherwise output is written to stdout, unless the -Xm option is set in which case "backtrack.file" is used.

    (default=`stdout')

    The following symbols are used:

(   ) essentially upstream (downstream) paired bases

{   } weakly upstream (downstream) paired bases

|   strongly paired bases without preference

,   weakly paired bases without preference

.   essentially unpaired bases.

--noconv
    Do not automatically substitude nucleotide "T" with "U"

    (default=off)

  Algorithms:

    Select additional algorithms which should be included in the calculations.

-X, --mode=pmfc
    Set the alignment mode to be used

    The alignment mode is passed as a single character value. The following options are available: 'p' - Compare the structures pairwise, that is first with 2nd, third with 4th etc. This is the default.

'm' - Calculate the distance matrix between all structures. The output is

    formatted as a lower triangle matrix.

    'f' - Compare each structure to the first one.

    'c' - Compare continuously, that is i-th with (i+1)th structure.

  Model Details:

--gapo=open
    Set the gap open penalty

--gape=ext
    Set the gap extension penalty

--seqw=w
    Set the weight of sequence (compared to structure) in the scoring function.

--endgaps
    Use free end-gaps

    (default=off)

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d1 only unpaired bases can participate in at most one dangling end. With -d2 this check is ignored, dangling energies will be added for the bases adjacent to a helix on both sides in any case; this is the default for mfe and partition function folding (-p). The option -d0 ignores dangling ends altogether (mostly for debugging). With -d3 mfe folding will allow coaxial stacking of adjacent helices in multi-loops. At the moment the implementation will not allow coaxial stacking of the two interior pairs in a loop of degree 3 and works only for mfe folding.

    Note that with -d1 and -d3 only the MFE computations will be using this setting while partition function uses -d2 setting, i.e. dangling ends will be treated differently.

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    Different sets of energy parameters for RNA and DNA should accompany your distribution. See the RNAlib documentation for details on the file format. When passing the placeholder file name "DNA", DNA parameters are loaded without the need to actually specify any input file.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), "RNA folding with hard and soft constraints", Algorithms for Molecular Biology 11:1 pp 1-13 Bonhoeffer S, McCaskill J S, Stadler P F, Schuster P (1993), "RNA multi-structure landscapes", Euro Biophys J: 22, pp 13-24 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Peter F Stadler, Ivo L Hofacker, Sebastian Bonhoeffer

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.